Subject: bug#18512: 24.3.93; tramp persistency file: incompatible with old versions? Tramp won't start!

From: David Reitter <[email-masked]>
Date: Sat, 20 Sep 2014 22:38:48 -0400

On Sep 20, 2014, at 4:09 AM, Glenn Morris <[email-masked]> wrote:
> 
> We already added a startup warning if user-emacs-directory is in
> load-path, for precisely this kind of reason. (Eg calc has similar issues.)
> 
> user-emacs-directory is not in load-path by default, so the question is;
> how did it come to be in load-path, and why was the warning not seen?

That’s because the warning is given only if the directory name is .emacs.d (string-match-p "/[._]emacs\\.d/?\\'" dir).

Had I seen this warning, I would have not have set the load-path default in Aquamacs to include user-emacs-directory.
At this time, it’s an inconvenient change for the user base… I’m not sure whether to leave it as is, or to change `user-emacs-directory', tweaking `locate-user-emacs-file’ to move files like “tramp.el” into a new subdirectory.